{
  "openapi": "3.1.0",
  "info": {
    "title": "BizBionic A2A Skills",
    "version": "2.0.0",
    "description": "Customer-facing catalog of BizBionic **A2A skills** (JSON-RPC 2.0).\n\n**Real endpoint:** `POST https://app.bizbionic.com/rpc` with header `Authorization: Bearer bb_…`.\n\nPaths under `/a2a/...` are documentation-only — not REST routes on the Worker.\n\nDiscover: `GET /.well-known/agent.json`.\n\nDocs: https://docs.bizbionic.com\n",
    "contact": {
      "name": "BizBionic",
      "url": "https://docs.bizbionic.com"
    }
  },
  "servers": [
    {
      "url": "https://app.bizbionic.com",
      "description": "Production"
    }
  ],
  "tags": [
    {
      "name": "agent",
      "description": "A2A skills in the `agent.*` module"
    },
    {
      "name": "ai",
      "description": "A2A skills in the `ai.*` module"
    },
    {
      "name": "analytics",
      "description": "A2A skills in the `analytics.*` module"
    },
    {
      "name": "automation",
      "description": "A2A skills in the `automation.*` module"
    },
    {
      "name": "billing",
      "description": "A2A skills in the `billing.*` module"
    },
    {
      "name": "campaigns",
      "description": "A2A skills in the `campaigns.*` module"
    },
    {
      "name": "command",
      "description": "A2A skills in the `command.*` module"
    },
    {
      "name": "compliance",
      "description": "A2A skills in the `compliance.*` module"
    },
    {
      "name": "contacts",
      "description": "A2A skills in the `contacts.*` module"
    },
    {
      "name": "dashboard",
      "description": "A2A skills in the `dashboard.*` module"
    },
    {
      "name": "hygiene",
      "description": "A2A skills in the `hygiene.*` module"
    },
    {
      "name": "inbox",
      "description": "A2A skills in the `inbox.*` module"
    },
    {
      "name": "insights",
      "description": "A2A skills in the `insights.*` module"
    },
    {
      "name": "journeys",
      "description": "A2A skills in the `journeys.*` module"
    },
    {
      "name": "lists",
      "description": "A2A skills in the `lists.*` module"
    },
    {
      "name": "messages",
      "description": "A2A skills in the `messages.*` module"
    },
    {
      "name": "partner",
      "description": "A2A skills in the `partner.*` module"
    },
    {
      "name": "segments",
      "description": "A2A skills in the `segments.*` module"
    },
    {
      "name": "sources",
      "description": "A2A skills in the `sources.*` module"
    },
    {
      "name": "tags",
      "description": "A2A skills in the `tags.*` module"
    },
    {
      "name": "templates",
      "description": "A2A skills in the `templates.*` module"
    }
  ],
  "paths": {
    "/a2a/agent/capabilities": {
      "post": {
        "operationId": "agent_capabilities",
        "summary": "agent.capabilities",
        "description": "A2A skill `agent.capabilities`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.capabilities` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.capabilities\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.capabilities",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.capabilities",
            "sidebarTitle": "agent.capabilities",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.capabilities"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.capabilities. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.capabilities",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/createKey": {
      "post": {
        "operationId": "agent_createKey",
        "summary": "agent.createKey",
        "description": "A2A skill `agent.createKey`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.createKey` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.createKey\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.createKey",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.createKey",
            "sidebarTitle": "agent.createKey",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.createKey"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.createKey. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.createKey",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/delegateMission": {
      "post": {
        "operationId": "agent_delegateMission",
        "summary": "agent.delegateMission",
        "description": "A2A skill `agent.delegateMission`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.delegateMission` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.delegateMission\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.delegateMission",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.delegateMission",
            "sidebarTitle": "agent.delegateMission",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.delegateMission"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.delegateMission. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.delegateMission",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/discover": {
      "post": {
        "operationId": "agent_discover",
        "summary": "agent.discover",
        "description": "A2A skill `agent.discover`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.discover` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.discover\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.discover",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.discover",
            "sidebarTitle": "agent.discover",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.discover"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.discover. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.discover",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/emailExists": {
      "post": {
        "operationId": "agent_emailExists",
        "summary": "agent.emailExists",
        "description": "A2A skill `agent.emailExists`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.emailExists` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.emailExists\",\n  \"params\": {}\n}\n```\n**Auth scope:** anonymous_or_special",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.emailExists",
        "x-bizbionic-auth": "anonymous_or_special",
        "x-mint": {
          "metadata": {
            "title": "agent.emailExists",
            "sidebarTitle": "agent.emailExists",
            "playground": "none"
          }
        },
        "security": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.emailExists"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.emailExists. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.emailExists",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/getSettings": {
      "post": {
        "operationId": "agent_getSettings",
        "summary": "agent.getSettings",
        "description": "A2A skill `agent.getSettings`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.getSettings` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.getSettings\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.getSettings",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.getSettings",
            "sidebarTitle": "agent.getSettings",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.getSettings"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.getSettings. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.getSettings",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/listKeys": {
      "post": {
        "operationId": "agent_listKeys",
        "summary": "agent.listKeys",
        "description": "A2A skill `agent.listKeys`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.listKeys` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.listKeys\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.listKeys",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.listKeys",
            "sidebarTitle": "agent.listKeys",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.listKeys"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.listKeys. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.listKeys",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/provision": {
      "post": {
        "operationId": "agent_provision",
        "summary": "agent.provision",
        "description": "Create a tenant and one-time API key (agent-native signup).\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.provision` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.provision\",\n  \"params\": {\n    \"name\": \"Acme Corp\",\n    \"source\": \"docs\",\n    \"permissions\": \"full\",\n    \"use_case\": \"marketing\",\n    \"business_context\": {\n      \"vertical\": \"retail\"\n    }\n  }\n}\n```\n**Auth scope:** anonymous_or_special\n\nAPI key is shown once. Store securely.",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.provision",
        "x-bizbionic-auth": "anonymous_or_special",
        "x-mint": {
          "metadata": {
            "title": "agent.provision",
            "sidebarTitle": "agent.provision",
            "playground": "none"
          }
        },
        "security": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.provision"
                  },
                  "params": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string"
                      },
                      "source": {
                        "type": "string"
                      },
                      "permissions": {
                        "type": "string",
                        "enum": [
                          "full",
                          "read",
                          "campaigns",
                          "compliance",
                          "billing",
                          "sources"
                        ]
                      },
                      "use_case": {
                        "type": "string"
                      },
                      "business_context": {
                        "type": "object",
                        "additionalProperties": true
                      },
                      "sample_messages": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.provision",
                "params": {
                  "name": "Acme Corp",
                  "source": "docs",
                  "permissions": "full",
                  "use_case": "marketing",
                  "business_context": {
                    "vertical": "retail"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/recallMission": {
      "post": {
        "operationId": "agent_recallMission",
        "summary": "agent.recallMission",
        "description": "A2A skill `agent.recallMission`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.recallMission` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.recallMission\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.recallMission",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.recallMission",
            "sidebarTitle": "agent.recallMission",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.recallMission"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.recallMission. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.recallMission",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/revokeKey": {
      "post": {
        "operationId": "agent_revokeKey",
        "summary": "agent.revokeKey",
        "description": "A2A skill `agent.revokeKey`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.revokeKey` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.revokeKey\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.revokeKey",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.revokeKey",
            "sidebarTitle": "agent.revokeKey",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.revokeKey"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.revokeKey. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.revokeKey",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/signup": {
      "post": {
        "operationId": "agent_signup",
        "summary": "agent.signup",
        "description": "A2A skill `agent.signup`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.signup` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.signup\",\n  \"params\": {}\n}\n```\n**Auth scope:** anonymous_or_special",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.signup",
        "x-bizbionic-auth": "anonymous_or_special",
        "x-mint": {
          "metadata": {
            "title": "agent.signup",
            "sidebarTitle": "agent.signup",
            "playground": "none"
          }
        },
        "security": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.signup"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.signup. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.signup",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/agent/updateSettings": {
      "post": {
        "operationId": "agent_updateSettings",
        "summary": "agent.updateSettings",
        "description": "A2A skill `agent.updateSettings`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/agent.updateSettings` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"agent.updateSettings\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "agent"
        ],
        "x-bizbionic-method": "agent.updateSettings",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "agent.updateSettings",
            "sidebarTitle": "agent.updateSettings",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "agent.updateSettings"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for agent.updateSettings. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "agent.updateSettings",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/commitArtifact": {
      "post": {
        "operationId": "ai_commitArtifact",
        "summary": "ai.commitArtifact",
        "description": "A2A skill `ai.commitArtifact`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.commitArtifact` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.commitArtifact\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.commitArtifact",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.commitArtifact",
            "sidebarTitle": "ai.commitArtifact",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.commitArtifact"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.commitArtifact. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.commitArtifact",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/generateCopy": {
      "post": {
        "operationId": "ai_generateCopy",
        "summary": "ai.generateCopy",
        "description": "A2A skill `ai.generateCopy`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.generateCopy` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.generateCopy\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.generateCopy",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.generateCopy",
            "sidebarTitle": "ai.generateCopy",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.generateCopy"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.generateCopy. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.generateCopy",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/generateVariants": {
      "post": {
        "operationId": "ai_generateVariants",
        "summary": "ai.generateVariants",
        "description": "A2A skill `ai.generateVariants`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.generateVariants` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.generateVariants\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.generateVariants",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.generateVariants",
            "sidebarTitle": "ai.generateVariants",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.generateVariants"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.generateVariants. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.generateVariants",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/getMemory": {
      "post": {
        "operationId": "ai_getMemory",
        "summary": "ai.getMemory",
        "description": "A2A skill `ai.getMemory`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.getMemory` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.getMemory\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.getMemory",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.getMemory",
            "sidebarTitle": "ai.getMemory",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.getMemory"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.getMemory. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.getMemory",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/qualifyLead": {
      "post": {
        "operationId": "ai_qualifyLead",
        "summary": "ai.qualifyLead",
        "description": "A2A skill `ai.qualifyLead`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.qualifyLead` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.qualifyLead\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.qualifyLead",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.qualifyLead",
            "sidebarTitle": "ai.qualifyLead",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.qualifyLead"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.qualifyLead. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.qualifyLead",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/runResearch": {
      "post": {
        "operationId": "ai_runResearch",
        "summary": "ai.runResearch",
        "description": "A2A skill `ai.runResearch`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.runResearch` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.runResearch\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.runResearch",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.runResearch",
            "sidebarTitle": "ai.runResearch",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.runResearch"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.runResearch. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.runResearch",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/scoreMessage": {
      "post": {
        "operationId": "ai_scoreMessage",
        "summary": "ai.scoreMessage",
        "description": "A2A skill `ai.scoreMessage`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.scoreMessage` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.scoreMessage\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.scoreMessage",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.scoreMessage",
            "sidebarTitle": "ai.scoreMessage",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.scoreMessage"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.scoreMessage. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.scoreMessage",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/scoreMessageRisk": {
      "post": {
        "operationId": "ai_scoreMessageRisk",
        "summary": "ai.scoreMessageRisk",
        "description": "A2A skill `ai.scoreMessageRisk`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.scoreMessageRisk` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.scoreMessageRisk\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.scoreMessageRisk",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.scoreMessageRisk",
            "sidebarTitle": "ai.scoreMessageRisk",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.scoreMessageRisk"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.scoreMessageRisk. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.scoreMessageRisk",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/scorePredictiveAudience": {
      "post": {
        "operationId": "ai_scorePredictiveAudience",
        "summary": "ai.scorePredictiveAudience",
        "description": "A2A skill `ai.scorePredictiveAudience`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.scorePredictiveAudience` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.scorePredictiveAudience\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.scorePredictiveAudience",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.scorePredictiveAudience",
            "sidebarTitle": "ai.scorePredictiveAudience",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.scorePredictiveAudience"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.scorePredictiveAudience. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.scorePredictiveAudience",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/storeMemory": {
      "post": {
        "operationId": "ai_storeMemory",
        "summary": "ai.storeMemory",
        "description": "A2A skill `ai.storeMemory`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.storeMemory` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.storeMemory\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.storeMemory",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.storeMemory",
            "sidebarTitle": "ai.storeMemory",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.storeMemory"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.storeMemory. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.storeMemory",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
                      "description": "Skill result object"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized — missing or invalid API key"
          },
          "default": {
            "description": "JSON-RPC error envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string"
                    },
                    "id": {},
                    "error": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "data": {
                          "type": "object",
                          "additionalProperties": true
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "/a2a/ai/suggestMissionOptimizations": {
      "post": {
        "operationId": "ai_suggestMissionOptimizations",
        "summary": "ai.suggestMissionOptimizations",
        "description": "A2A skill `ai.suggestMissionOptimizations`.\n**Wire format (production):** Always call `POST /rpc` with a JSON-RPC 2.0 body. The path `/a2a/ai.suggestMissionOptimizations` is **documentation-only** so each skill appears in the API Reference.\n```json\n{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"ai.suggestMissionOptimizations\",\n  \"params\": {}\n}\n```\n**Auth scope:** tenant",
        "tags": [
          "ai"
        ],
        "x-bizbionic-method": "ai.suggestMissionOptimizations",
        "x-bizbionic-auth": "tenant",
        "x-mint": {
          "metadata": {
            "title": "ai.suggestMissionOptimizations",
            "sidebarTitle": "ai.suggestMissionOptimizations",
            "playground": "none"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "jsonrpc",
                  "method"
                ],
                "properties": {
                  "jsonrpc": {
                    "type": "string",
                    "enum": [
                      "2.0"
                    ],
                    "default": "2.0"
                  },
                  "id": {
                    "oneOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "number"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "method": {
                    "type": "string",
                    "const": "ai.suggestMissionOptimizations"
                  },
                  "params": {
                    "type": "object",
                    "additionalProperties": true,
                    "description": "Parameters for ai.suggestMissionOptimizations. See the skill description and examples for required fields."
                  }
                }
              },
              "example": {
                "jsonrpc": "2.0",
                "id": 1,
                "method": "ai.suggestMissionOptimizations",
                "params": {}
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "JSON-RPC success envelope",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "jsonrpc": {
                      "type": "string",
                      "enum": [
                        "2.0"
                      ]
                    },
                    "id": {},
                    "result": {
[...]
